package com.base.appzxhy.ui.main

import androidx.core.view.updatePadding
import com.base.appzxhy.base.BaseFragment
import com.base.appzxhy.bean.CheckInBean
import com.base.appzxhy.databinding.FragmentRewardsBinding
import com.base.appzxhy.utils.BarUtils


class RewardsFragment : BaseFragment<FragmentRewardsBinding>(FragmentRewardsBinding::inflate) {

    override fun initView() {
        super.initView()
        binding.root.updatePadding(top = BarUtils.getStatusBarHeight())
        initCheckInAdapter()
    }

    private fun initCheckInAdapter() {
        val list = listOf(
            CheckInBean(1, "Today", 10).apply { checked = true },
            CheckInBean(2, "Days2", 10).apply { checked = true },
            CheckInBean(3, "Days3", 10).apply { checked = true },
            CheckInBean(4, "Days4", 20).apply { checked = true },
            CheckInBean(5, "Days5", 25),
            CheckInBean(6, "Days6", 30),
            CheckInBean(7, "Days7", 50),
        )
//        binding.rv.adapter =
    }

    override fun initListener() {
        super.initListener()
    }

}